org.eclipse.microprofile.config.tck

## Class CDIPropertyNameMatchingTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.CDIPropertyNameMatchingTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIPropertyNameMatchingTest
    extends org.jboss.arquillian.testng.Arquillian

Test cases for the statement in configsources.asciidoc#default_configsources.env.mapping Prerequisite: The following environment variables must be set prior to running this test: "my_int_property" with the value of "45" "MY_BOOLEAN_PROPERTY" with the value of "true" "my_string_property" with the value of "haha" "MY_STRING_PROPERTY" with the value of "woohoo"

Author:
  Emily Jiang

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIPropertyNameMatchingTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `checkSetup()`
`static org.jboss.shrinkwrap.api.Archive` `deployment()`
`void` `testPropertyFromEnvironmentVariables()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIPropertyNameMatchingTest

    public CDIPropertyNameMatchingTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive deployment()

#### checkSetup

    public void checkSetup()

#### testPropertyFromEnvironmentVariables

    public void testPropertyFromEnvironmentVariables()